﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample145862;
using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System.Collections;
using Syncfusion.JavaScript;
using Syncfusion.Linq;
using System.Web.Script.Serialization;
namespace Sample145862.Controllers
{
    public class GridController : Controller
    {
     
        public ActionResult GridFeatures()
        {
            ViewBag.datasource = OrderRepository.GetAllRecords();
            return View();
        }

        public ActionResult CellEditUpdate(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult CellEditInsert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        public ActionResult CellEditDelete(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);         
        }

     }
}
